How to find curve Edit Points


#1

Hello I have a curve is joint from arc´s

like this curve
ID: 1dd9f86e-cbc3-4e2c-8da4-debc3aad889c (772)
Layer name: unroll::arc
Render Material:
source = from layer
index = -1
Geometry:
Valid curve.
Open polycurve with 2 curve segments.
Segment 1:
Elliptical arc
radii = 522699, 522660
focal distance = 6336.31
foci = (-495782,5868.19,0), (-486877,-3148.12,0)
start = (31347.3,-365.66,0)
end = (31347.2,3026.42,0)
center = (-491329,1360.04,0)
normal = (0,-0,1)
Segment 2:
Elliptical arc
radii = 77878.9, 77875
focal distance = 782.371
foci = (108693,3851.28,0), (109754,2701.73,0)
start = (31347.2,3026.42,0)
end = (31348.3,3764.44,0)
center = (109224,3276.5,0)
normal = (0,-0,1)

and how I can find start and end point radii

or how to split the curve in this segments

Thanks Robert


(Dale Fugier) #2

To split, or explode a polycurve, into its individual pieces, use Rhino.Geometry.PolyCurve.Explode.

For example:

https://github.com/dalefugier/SampleCsCommands/blob/master/SampleCsExplodePolyCurve.cs

Does this help?


#3

Thanks Dale,

it worked pefect

Have a nice Weekend
Robert